%define LANG pl
%define releasedate 28-06-2007

Summary:	Man pages in polish language
Name:		man-pages-%LANG
Version:	0.6
Release:	%mkrel 5
License:	GPL
Group:		System/Internationalization
Source:		http:/ptm.linux.pl/man-PL%{releasedate}.tar.bz2
URL:		http://ptm.linux.pl
BuildRequires:	man => 1.5m2
Requires:	locales-%LANG, man => 1.5j-8mdk
Requires(pre):	sed grep man
Obsoletes:	man-%LANG, manpages-%LANG
Provides:	man-%LANG, manpages-%LANG
Conflicts:	rpm < 4.4.1-2mdk
Conflicts:	vim-common < 7.0-2mdk
Autoreqprov:	false
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
A collection of man pages for Linux in polish language.

%prep
%setup -qn pl_PL

%build
for i in 1 2 3 4 5 6 7 8 9 n; do
        rm -rf man$i/CVS
done

sh ./autogen.sh

%make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_mandir}/%LANG/

for i in 1 2 3 4 5 6 7 8 9 n; do
	cp -adpvrf man$i %{buildroot}%{_mandir}/%LANG/
done

# those files conflict whith rpm package
#rm %{buildroot}%{_mandir}/pl/man{1/gendiff.1,8/rpm{2cpio,,build,cache,deps,graph}.8}

# those files conflict whith dpkg package
#rm %{buildroot}%{_mandir}/pl/man{1/dpkg-deb.1,8/dpkg{-split,}.8}

# spechelper fails here!!!
#find $RPM_BUILD_ROOT/%_mandir -type f -exec bzip2 -9f {} \;

LANG=%LANG DESTDIR=%{buildroot} /usr/sbin/makewhatis %{buildroot}%{_mandir}/%LANG

mkdir -p %{buildroot}/etc/cron.weekly
cat > %{buildroot}/etc/cron.weekly/makewhatis-%LANG.cron << EOF
#!/bin/bash
LANG=%LANG /usr/sbin/makewhatis %{_mandir}/%LANG
exit 0
EOF

chmod a+x %{buildroot}/etc/cron.weekly/makewhatis-%LANG.cron

mkdir -p  %{buildroot}/var/cache/man/%LANG

# these are provided by vim7:
#rm -f %{buildroot}%{_mandir}/%LANG/man1/{evim.,ex.,{,r}{view,vim}.,vimdiff,vimtutor}*

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,man,755)
%doc FAQ ChangeLog readme.english
%dir %{_mandir}/%LANG
%dir /var/cache/man/%LANG
%config(noreplace) /var/cache/man/%LANG/whatis
%{_mandir}/%LANG/man*
%config(noreplace) %attr(755,root,root)/etc/cron.weekly/makewhatis-%LANG.cron


%changelog
* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.6-5mdv2009.1
+ Revision: 351582
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6-4mdv2009.0
+ Revision: 223192
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6-3mdv2008.1
+ Revision: 152976
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jul 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6-1mdv2008.0
+ Revision: 52100
- new version
- drop /var/catman (wildly obsolete)

* Mon Apr 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5-1mdv2008.0
+ Revision: 19643
- drop Source1
- replace Icon string with Source in spec file
- update to the release from 26-01-2007
- spec file clean


* Wed May 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.4-11mdk
- fix more conflicts

* Wed May 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.4-10mdk
- use %%mkrel
- fix conflict with vim

* Wed May 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-9mdk
- fix conflict with new rpm (#11568)

* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-8mdk
- 20040401 snapshot

* Thu May 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-7mdk
- further conflict cleaning

* Thu May 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-6mdk
- fix conflict with dpkg

